Package org.h2.schema

# Enum Class Sequence.Cycle

java.lang.Object
java.lang.Enum<Sequence.Cycle>
org.h2.schema.Sequence.Cycle

All Implemented Interfaces:
  `Serializable`, `Comparable<Sequence.Cycle>`, `Constable`

Enclosing class:
  `Sequence`

public static enum Sequence.Cycle extends Enum<Sequence.Cycle>
CYCLE clause and sequence state.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CYCLE`
Sequence is cycled.
`EXHAUSTED`
Sequence is not cycled and was already exhausted.
`NO_CYCLE`
Sequence is not cycled and isn't exhausted yet.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCycle()`
Return whether sequence is cycled.
`static Sequence.Cycle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Sequence.Cycle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CYCLE

public static final Sequence.Cycle CYCLE
Sequence is cycled.

### NO_CYCLE

public static final Sequence.Cycle NO_CYCLE
Sequence is not cycled and isn't exhausted yet.

### EXHAUSTED

public static final Sequence.Cycle EXHAUSTED
Sequence is not cycled and was already exhausted.

## Method Details

### values

public static Sequence.Cycle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Sequence.Cycle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isCycle

public boolean isCycle()
Return whether sequence is cycled.

Returns:
  `true` if sequence is cycled, `false` if sequence is not cycled